#
# spec file for package javazic (Version 1.6.0)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           javazic
BuildRequires:  gcc-java
BuildRequires:  fastjar
License:        GPL-2.0-with-classpath-exception
Summary:        A time zone compiler for Java
Group:          Development/Libraries/Java
# javazic source codes comes from openjdk6-b09 source archive
# see package java-1_6_0-java for details and source code
Version:        1.6.0
Release:        24.3
Url:            http://icedtea.classpath.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Source0:        javazic.tar.gz
Patch0:         javazic-fixup.patch

%description
This is a time zone compiler for opensource Java Virtual Machine
derived from openjdk6 source code.



%prep
%setup -q -c %{name}-%{version}
%patch0 -b .javazic-fixup

%build
gcj -C $(find sun/ -iname '*.java')
echo "Main-Class: sun.tools.javazic.Main" > manifest.txt
fastjar -cfm %{name}-%{version}.jar manifest.txt $(find . -iname '*.class')

%install
install -d -m 0755 $RPM_BUILD_ROOT/%{_javadir}
install -m 0644 %{name}-%{version}.jar $RPM_BUILD_ROOT/%{_javadir}/
# jars
(cd $RPM_BUILD_ROOT%{_javadir}/ && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
install -d -m 0755 $RPM_BUILD_ROOT/%{_datadir}/%{name}
cp -rp tzdata_jdk $RPM_BUILD_ROOT/%{_datadir}/%{name}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%{_javadir}/%{name}*.jar
%{_datadir}/%{name}

%changelog
* Tue May  8 2012 cfarrell@suse.com
- license update: GPL-2.0-with-classpath-exception
  SPDX syntax
* Wed Sep 10 2008 mvyskocil@suse.cz
- Initial packaging of javazic (used for timezone-java package)
